.header {
    top: 0;
    left: 0;
    right: 0;
    z-index: 1000;
    position: fixed;
    background: $black;

    &__main {
        margin-left: rem(-6);
        margin-right: rem(-15);
        height: rem(50);
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    &__content {
        display: flex;
        align-items: center;
    }

    &__logo {
        width: rem(43);
        display: block;
        flex-shrink: 0;
    }

    &__nav {
        display: none;
        font-size: rem(14);
        line-height: rem(20);

        ul {
            margin: 0;
            padding: 0;
            list-style: none;
            display: flex;
            align-items: center;

            li {
                padding: 0 rem(30);

                a {
                    color: $white;
                    height: rem(50);
                    display: flex;
                    align-items: center;
                    white-space: nowrap;
                    text-decoration: none;
                    letter-spacing: 0.04em;

                    &:hover {
                        color: $white;
                        text-decoration: none;
                    }
                }
            }
        }
    }

    &__hamburger {
        font-size: 0;
        line-height: 0;
        display: block;
        flex-shrink: 0;
    }

    &__phone {
        display: none;
        color: $white;
        font-weight: 400;
        font-size: rem(16);
        line-height: rem(24);
        text-decoration: none;
        margin-left: rem(20);

        &:hover {
            color: $white;
            text-decoration: none;
        }
    }

    @include media-breakpoint-up(lg) {

        &__hamburger {
            display: none;
        }

        &__phone {
            display: inline-block;
        }

        &__nav {
            display: block;
        }
    }

    @include media-breakpoint-up(xl) {

        &__nav {

            ul {

                li {
                    padding: 0 rem(47);
                }
            }
        }
    }

}

.hamburger {
    width: rem(50);
    height: rem(50);
    position: relative;
    display: block;
    text-align: right;
    margin: 0;
    padding: 0;
    font-size: 0;
    line-height: 0;
    border: none;
    outline: none;
    cursor: pointer;
    background: transparent;

    span,
    &:after,
    &:before {
        left: calc(50% - 11px);
        width: 22px;
        height: 2px;
        content: '';
        position: absolute;
        display: inline-block;
        background-color: $white;
        transition-property: transform;
        transition-duration: .15s;
        transition-timing-function: ease;
    }

    span {
        top: calc(50% - 1px);

    }

    &:after {
        top: calc(50% - 8px);

    }

    &:before {
        top: calc(50% + 6px);

    }

    &.hamburger--open {

    }
}

.header-city {
    fill: $white;
    color: $white;
    border: none;
    outline: none;
    height: rem(50);
    font-size: rem(16);
    min-width: rem(204);
    padding: rem(4) rem(16);
    cursor: pointer;
    line-height: rem(24);
    white-space: nowrap;
    text-decoration: none;
    background: $red;
    display: flex;
    align-items: center;
    justify-content: center;

    span {
        overflow: hidden;
        text-overflow: ellipsis;
        max-width: rem(150);
        display: inline-block;
        border-bottom: 1px dotted $white;
    }

    i {
        top: 1px;
        font-size: 0;
        line-height: 0;
        height: rem(6);
        flex-shrink: 0;
        margin-left: rem(6);
        position: relative;
        display: inline-block;
    }
}

.mobile-nav {
    left: 0;
    right: 0;
    top: rem(50);
    color: $white;
    z-index: 900;
    position: fixed;
    background: $dark;
    text-align: center;
    overflow-y: auto;
    max-height: calc(100% - 50px);
    transform: translateY(-100vh);
    transition: .3s;

    &__wrap {
        padding: rem(30) 0;
    }

    &__menu {
        font-weight: 400;
        font-size: rem(14);
        line-height: rem(20);
        margin-bottom: rem(30);
        padding-bottom: rem(30);
        border-bottom: 1px solid $gray-light;

        ul {
            margin: 0;
            padding: 0 rem(15);
            list-style: none;

            li {

                &:not(:last-child) {
                    margin-bottom: rem(30);
                }

                a {
                    color: $white;
                    text-decoration: none;

                    &:hover {
                        color: $white;
                        text-decoration: none;
                    }
                }
            }
        }
    }

    &__contact {
        padding: 0;
        list-style: none;
        margin: 0 0 rem(30) 0;

        li {

            &:not(:last-child) {
                margin-bottom: rem(6);
            }
        }
    }

    &__phone {
        color: $white;
        font-weight: 400;
        font-size: rem(32);
        line-height: rem(48);
        text-decoration: none;
        white-space: nowrap;

        &:hover {
            color: $white;
            text-decoration: none;
        }
    }

    &__callback {
        margin: 0;
        padding: 0;
        color: $red;
        border: none;
        outline: none;
        cursor: pointer;
        font-weight: 400;
        font-size: rem(16);
        line-height: rem(24);
        white-space: nowrap;
        display: inline-block;
        background: transparent;
        border-bottom: 1px dotted $red;
    }

    &__address {
        font-weight: 300;
        font-size: rem(16);
        line-height: rem(24);
        padding: 0 rem(15);
    }

    @include media-breakpoint-up(lg) {
        display: none;
    }
}

.nav-open {
    overflow: hidden;

    .header__nav {
        transition: .3s;
        transform: translateX(0);
    }

    .hamburger {

        span {
            opacity: 0;
            width: 100%;
        }

        &:after {
            transform: translateY(7px) rotate(45deg);
        }

        &:before {
            transform: translateY(-7px) rotate(-45deg);
        }
    }

    .mobile-nav {
        transform: translateY(0);
        transition: .3s;
    }

    @include media-breakpoint-up(lg) {
        overflow: visible;
    }
}


@include media-breakpoint-up(lg) {}
@include media-breakpoint-up(xl) {}
